/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.server.notification;

import android.annotation.NonNull;
import android.content.Context;
import android.os.Handler;

import java.io.File;

public class NotificationHistoryDatabaseFactory {

    private static NotificationHistoryDatabase sTestingNotificationHistoryDb;

    public static void setTestingNotificationHistoryDatabase(NotificationHistoryDatabase db) {
        sTestingNotificationHistoryDb = db;
    }

    public static NotificationHistoryDatabase create(@NonNull Context context,
            @NonNull Handler handler, @NonNull File rootDir,
            @NonNull NotificationHistoryDatabase.FileAttrProvider fileAttrProvider) {
        if(sTestingNotificationHistoryDb != null) {
            return sTestingNotificationHistoryDb;
        }
        return new NotificationHistoryDatabase(context, handler, rootDir, fileAttrProvider);
    }
}
